Подключение принтера samsung sxc4220 в debian 7.8

Автор igoralex, 04 марта 2015, 20:26:29

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

igoralex

Не могу познакомить Debian 7.8 с принтером Samsung scx-4220.Пакеты ставил ,программу видит ,но принтер не добавляет,


igoralex



ihammers

#4
Цитата: igoralex от 04 марта 2015, 20:26:29Не могу познакомить Debian 7.8 с принтером Samsung scx-4220.Пакеты ставил ,программу видит ,но принтер не добавляет,
Какие пакеты устанавливали? printer-driver-splix?

Цитата: Basil от 05 марта 2015, 04:14:40Слова: http://onedev.net/post/321
Для начало лучше поискать пакеты в родных репозитариях.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

igoralex

Установлены все пакеты и printer-driver-splix.В параметрах системы-принтеры-добавить высвечивает что видит его,но при добавлении не роспазнаёт.Cups стоит,но
не пускает в добавление.Рядом стоитдля бабушки ubuntu 14.04-все отлично работает(даже обидно).

qupl

Цитата: igoralex от 05 марта 2015, 05:40:58.Cups стоит,но не пускает в добавление.
Поподробнее. Пользователь в группе lpadmin состоит?

igoralex

#7
Поподробнее
При установке Cups:apt-get install cupsys gs-esp foomatic-bin foo2zjs cups-pdf
igor@igor:~$ su
Пароль:
root@igor:/home/igor# apt-get install cupsys gs-esp foomatic-bin foo2zjs cups-pdf
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Пакет cupsys недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list

Пакет foomatic-bin недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
Однако следующие пакеты могут его заменить:
  foomatic-filters

E: Для пакета «cupsys» не найден кандидат на установку
E: Не удалось найти пакет gs-esp
E: Для пакета «foomatic-bin» не найден кандидат на установку
root@igor:/home/igor#

Может что-то нетак с Cups?

* Используйте теги для оформления сообщения, ihammers.

ihammers

Где вы нашли эту инструкцию? В debian некоторых нету (например: cupsys), а некоторые пакеты существуют только в squeezy (например: gs-esp).
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

igoralex

#9
Инструкция из официального источника:3.6.2 CUPS™

Установите систему печати Common UNIX Printing System (сокращенно CUPS™):
     # apt-get install cupsys foomatic-bin foomatic-db
     # apt-get install cupsys-bsd cupsys-driver-gimpprint

* Используйте, пожалуйста, теги для оформления сообщения, Leo

Затем настройте систему через web-браузер:
     $ мой_браузер http://localhost:631                     тоже не работает.Если есть,пожалуйста дайте правильную ссылку,Заранее спасибо!


igoralex

#11
root@igor:/home/igor# hwinfo --printer | grep Model
bash: hwinfo: команда не найдена
root@igor:/home/igor#

Дальше всё бессмыссленно.

Сообщение объединено: 05 Март 2015, 14:42:04

Всем огромное спасибо кто попытался помочь .Видимость несовместимость этого МФУ с Debian.

* Используйте, пожалуйста, теги для оформления сообщения, Leo

sandaksatru

#12
Цитата: igoralex от 05 марта 2015, 14:24:13root@igor:/home/igor# hwinfo --printer | grep Model
bash: hwinfo: команда не найдена
apt-get install hwinfo
Цитата: igoralex от 05 марта 2015, 14:24:13Дальше всё бессмыссленно.
Угу, жизнь тлен  ;D
Цитата: igoralex от 05 марта 2015, 14:24:13Видимость несовместимость этого МФУ с Debian.
Если работает на одном дистрибутиве гну/линукс, заработает и на другом, Debian не исключение.

igoralex

#13
root@igor:/home/igor# hwinfo --printer | grep Model
process 4181: arguments to dbus_move_error() were incorrect, assertion "(dest) == NULL || !dbus_error_is_set ((dest))" failed in file ../../dbus/dbus-errors.c line 282.
This is normally a bug in some application using the D-Bus library.
libhal.c 3483 : Error unsubscribing to signals, error=The name org.freedesktop.Hal was not provided by any .service files
  Model: "Samsung SCX-4200 Series"
root@igor:/home/igor#

Модель распознал после apt-get install hwinfo(чайник).Теперь нужно найти драйвер на сайте аналогичный(этого samsung там нет).

* Используйте, пожалуйста, теги для оформления сообщения, Leo

Tammy